Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ProxyPushConsumer_i Class Reference

TAO_Notify_ProxyPushConsumer_i. More...

`#include <Notify_ProxyPushConsumer_i.h>`

Inheritance diagram for TAO_Notify_ProxyPushConsumer_i:

[legend]
Collaboration diagram for TAO_Notify_ProxyPushConsumer_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ProxyPushConsumer_i (TAO_Notify_SupplierAdmin_i *supplier_admin)
| Constructor. More...
virtual | ~TAO_Notify_ProxyPushConsumer_i (void)
| Destructor. More...
void | push (const CORBA::Any &data ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventComm::Disconnected )
virtual void | connect_any_push_supplier (CosEventComm::PushSupplier_ptr push_supplier ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected )
virtual void | disconnect_push_consumer (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Protected Methods
virtual void | dispatch_update_i (CosNotification::EventTypeSeq added, CosNotification::EventTypeSeq removed ACE_ENV_ARG_DECL)
| Derived types should implement this to deliver the update. More...
## Protected Attributes
CORBA::Boolean | notify_style_supplier_
| True if the supplier supports the NotifySubscribe interface. More...
CosEventComm::PushSupplier_var | cosec_push_supplier_
| The supplier connected to us. More...
CosNotifyComm::PushSupplier_var | notify_push_supplier_
## Private Types
typedef TAO_Notify_ProxyConsumer< POA_CosNotifyChannelAdmin::ProxyPushConsumer > | proxy_inherited

## Detailed Description

TAO_Notify_ProxyPushConsumer_i.

Implements the CosNotifyChannelAdmin::ProxyPushConsumer interface.

## Member Typedef Documentation

typedef TAO_Notify_ProxyConsumer<POA_CosNotifyChannelAdmin::ProxyPushConsumer> TAO_Notify_ProxyPushConsumer_i::proxy_inherited`[private]`

## Constructor & Destructor Documentation

TAO_Notify_ProxyPushConsumer_i::TAO_Notify_ProxyPushConsumer_i | ( | TAO_Notify_SupplierAdmin_i * | supplier_admin | ) |

| Constructor.

TAO_Notify_ProxyPushConsumer_i::~TAO_Notify_ProxyPushConsumer_i | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Notify_ProxyPushConsumer_i::connect_any_push_supplier | ( | CosEventComm::PushSupplier_ptr push_supplier | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected )`[virtual]`

void TAO_Notify_ProxyPushConsumer_i::disconnect_push_consumer | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_ProxyPushConsumer_i::dispatch_update_i | ( | CosNotification::EventTypeSeq | added,
|  | CosNotification::EventTypeSeq removed | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Derived types should implement this to deliver the update. Reimplemented from TAO_Notify_Proxy.

void TAO_Notify_ProxyPushConsumer_i::push | ( | const CORBA::Any &data | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventComm::Disconnected )

## Member Data Documentation

CosEventComm::PushSupplier_var TAO_Notify_ProxyPushConsumer_i::cosec_push_supplier_`[protected]`

| The supplier connected to us.

CosNotifyComm::PushSupplier_var TAO_Notify_ProxyPushConsumer_i::notify_push_supplier_`[protected]`

CORBA::Boolean TAO_Notify_ProxyPushConsumer_i::notify_style_supplier_`[protected]`

| True if the supplier supports the NotifySubscribe interface. If it does, we use the <notify_push_supplier_> else we use <cosec_push_supplier_>

The documentation for this class was generated from the following files:

- Notify_ProxyPushConsumer_i.h
- Notify_ProxyPushConsumer_i.cpp